[Ironruby-core] Cucumber with IronRuby

Mohammad Azam lists at ruby-forum.com
Mon Mar 1 10:56:52 EST 2010


I installed the icucumber again using the following command:

igem install cucumber

the install went fine. then i said

icucumber on the command prompt and I got the following:


C:\Projects\ILoveIronRuby\ILoveIronRuby\IronRubyConsoleApp>icucumber
*** WARNING: You must "igem install iron-term-ansicolor" to get coloured 
ouput i
n on IronRuby
syntax error, unexpected IDENTIFIER, expecting '{', or DO, or '(' 
(SyntaxError)
:0:in `require'
C:/DevTools/ironruby-1.0-rc1/lib/ironruby/gems/1.8/gems/cucumber-0.6.2/bin/../li
b/cucumber/rb_support/rb_language.rb:124:in `load_code_file'
custom_require.rb:30:in `require'
C:/DevTools/ironruby-1.0-rc1/lib/ironruby/gems/1.8/gems/cucumber-0.6.2/bin/../li
b/cucumber/step_mother.rb:84:in `load_code_file'
polyglot.rb:64:in `require'
C:/DevTools/ironruby-1.0-rc1/lib/ironruby/gems/1.8/gems/cucumber-0.6.2/bin/../li
b/cucumber/step_mother.rb:76:in `load_code_files'
C:/DevTools/ironruby-1.0-rc1/lib/ironruby/gems/1.8/gems/cucumber-0.6.2/bin/../li
b/cucumber/step_mother.rb:75:in `load_code_files'
C:/DevTools/ironruby-1.0-rc1/lib/ironruby/gems/1.8/gems/cucumber-0.6.2/bin/../li
b/cucumber/cli/main.rb:51:in `execute!'
C:/DevTools/ironruby-1.0-rc1/lib/ironruby/gems/1.8/gems/cucumber-0.6.2/bin/../li
b/cucumber/cli/main.rb:20:in `execute'
:0:in `each'
C:/DevTools/ironruby-1.0-rc1/lib/ironruby/gems/1.8/gems/cucumber-0.6.2/bin/cucum
ber:8
c:/ruby/bin/cucumber:19
:0:in `load'

So, I tried installing the iron-term-ansicolor but I got the following:

C:\Projects\ILoveIronRuby\ILoveIronRuby\IronRubyConsoleApp>igem install 
iron-ter
m-ansicolor
ERROR:  While executing gem ... (IndexError)
    Index was outside the bounds of the array.

C:\Projects\ILoveIronRuby\ILoveIronRuby\IronRubyConsoleApp>
-- 
Posted via http://www.ruby-forum.com/.


More information about the Ironruby-core mailing list